Summary: Check Book Balancer (cbb)
Name: cbb
Version: 0.74
Release: 1
Copyright: distributable
Group: Applications/Finance
Url:http://www.menet.umn.edu/~clolson/cbb/
Source: ftp://ftp.me.umn.edu/pub/finance/cbb-0.74.tar.gz
Source1: cbb.wmconfig
Patch0: cbb-0.72-webbrowser.patch
BuildArchitectures: noarch

Requires: tk >= 4.0, tcl >= 7.4, gnuplot

%description
Personal check book balancing application.
CBB is intended to be an open, extensible program.  It utilizes a
simple (tab delimited) data file format and is written entirely in
Tcl/Tk and Perl and contains no compiled code.  It provides a simple
interface for users to add their own reports, graphs, and external
modules without having to modify any of the CBB source.

%changelog

* Thu Aug 20 1998 David Masterson <david@batcave.bungi.com>

- updated version

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>

- made noarch
- added wmconfig entry

* Thu Nov 13 1997 Otto Hammersmith <otto@redhat.com>

- updated version
- added changelog

should change the patch to use $BROWSER, rather than messing with things by hand

%prep
%setup
#%patch -p1

%build 

%install
mkdir -p /usr/lib/cbb
make install << EOF
/usr/bin/perl
/usr/bin/wish
/usr/bin
/usr/lib/cbb
EOF

install -d /etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/cbb.wmconfig /etc/X11/wmconfig/cbb

%post
#
# find a web browser
#
PATH="$PATH:/usr/local/bin"
BROWSERS="netscape Netscape redbaron mosaic xmosaic Mosaic grail arena chime ra tkwww lynx"
DEFAULT_BROWSER=""
for i in $BROWSERS; do
   b=`type -path $i`
   if [ "$b" != "" ]; then
     if [ -x $b ]; then
        if [ "$DEFAULT_BROWSER" = "" ]; then
           if [ $i = "redbaron" ]; then
               DEFAULT_BROWSER="$b -url"
           else
               DEFAULT_BROWSER="$b"
           fi
        fi
     fi
   fi
done

cd /usr/lib/cbb
mv menu.tcl menu-orig.tcl
sed "s+exec netscape.*+exec $DEFAULT_BROWSER file:/usr/lib/cbb/docs/cbb-man/cbb-man.html+" < menu-orig.tcl > menu.tcl
rm menu-orig.tcl


%files
%doc Announce Bugs COPYING FAQ README THANKS Todo Version cbb.lsm
/usr/bin/cbb

%docdir /usr/lib/cbb/docs
/usr/lib/cbb
/etc/X11/wmconfig/cbb
